%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%define upstream_name openstack-panko

Name:                   puppet-panko
Version:                12.4.0
Release:                1%{?dist}
Summary:                Puppet module for OpenStack Panko Service
License:                ASL 2.0

URL:                    https://launchpad.net/puppet-panko

Source0:                https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=12.4.0
Patch0001: 0001-Update-Gemfile-to-pull-spec_helper-from-stable-queen.patch

BuildArch:              noarch

Requires:               puppet-inifile
Requires:               puppet-keystone
Requires:               puppet-stdlib
Requires:               puppet-openstacklib
Requires:               puppet-oslo
Requires:               puppet >= 2.7.0

%description
Installs and configures OpenStack Panko Events Service.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/panko/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/panko/



%files
%{_datadir}/openstack-puppet/modules/panko/


%changelog
* Wed Oct 17 2018 Steve Linabery <slinaber@redhat.com> 12.4.0-1
- Update to 12.4.0
- Update Gemfile to pull spec_helper from stable/queens

* Tue Feb 20 2018 RDO <dev@lists.rdoproject.org> 12.3.0-1
- Update to 12.3.0



